Bug 340373 - crash on scanning video directory
Summary: crash on scanning video directory
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Video (show other bugs)
Version: 4.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 342622 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-10-26 15:06 UTC by wybo dekker
Modified: 2018-03-04 17:14 UTC (History)
24 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments
New crash information added by DrKonqi (12.31 KB, text/plain)
2015-05-09 17:21 UTC, Tweety
Details
New crash information added by DrKonqi (15.73 KB, text/plain)
2015-05-25 17:31 UTC, RJVB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wybo dekker 2014-10-26 15:06:46 UTC
- What I was doing when the application crashed:
I added my directory with videos to the albums; then digikam started to scan that directory, and at about 95% it crashes. 
The same happens when, instead of the main video directory, I add some of the subdirectories, while others get through with no problems.
I have installed sqlite-3.8.6-1

The crash can be reproduced every time.


Reproducible: Always

Steps to Reproduce:
1. I added my directory with videos to the albums;
2. digikam started to scan that directory



Actual Results:  
at about 95% of the scan it crashes

Expected Results:  
scan to 100% and show me my videos

Application: digikam (4.4.0)
KDE Platform Version: 4.13.3
Qt Version: 4.8.6
Operating System: Linux 3.13.0-37-generic x86_64
Distribution: Ubuntu 14.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I added my directory with videos to the albums; then digikam started to scan that directory, and at about 95% it crashes. 
The same happens when, instead of the main video directory, I add some of the subdirectories, while others get through with no problems.
I have installed sqlite-3.8.6-1

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f33231a0ac0 (LWP 22925))]

Thread 4 (Thread 0x7f32fbddf700 (LWP 22927)):
#0  0x00007f331bd49c6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f330135b248 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007f3317b17182 in start_thread (arg=0x7f32fbddf700) at pthread_create.c:312
#3  0x00007f331bd56fbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f32f1f9e700 (LWP 22928)):
[KCrash Handler]
#6  0x00007f331bc92bb9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f331bc95fc8 in __GI_abort () at abort.c:89
#8  0x00007f331bccfe14 in __libc_message (do_abort=do_abort@entry=1, fmt=fmt@entry=0x7f331bdde668 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
#9  0x00007f331bcdc0ee in malloc_printerr (ptr=<optimized out>, str=0x7f331bdde808 "free(): invalid next size (fast)", action=1) at malloc.c:4996
#10 _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3840
#11 0x00007f3318cce9c7 in Exiv2::RiffVideo::infoTagsHandler() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#12 0x00007f3318cd3855 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#13 0x00007f3318cd34a8 in Exiv2::RiffVideo::tagDecoder(Exiv2::DataBuf&, unsigned long) () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#14 0x00007f3318cd3855 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#15 0x00007f3318cd3bc8 in Exiv2::RiffVideo::readMetadata() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#16 0x00007f3320e9c935 in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.11
#17 0x00007f33207acf06 in Digikam::DMetadata::load (this=this@entry=0x7f32ec34eae0, filePath=...) at /build/buildd/digikam-4.4.0/core/libs/dmetadata/dmetadata.cpp:110
#18 0x00007f3320200bef in Digikam::ImageScanner::loadFromDisk (this=this@entry=0x7f32f1f9d490) at /build/buildd/digikam-4.4.0/core/libs/database/imagescanner.cpp:1525
#19 0x00007f3320200de0 in Digikam::ImageScanner::newFile (this=this@entry=0x7f32f1f9d490, albumId=albumId@entry=454) at /build/buildd/digikam-4.4.0/core/libs/database/imagescanner.cpp:285
#20 0x00007f3320199146 in Digikam::CollectionScanner::scanNewFile (this=this@entry=0x7f32f1f9dae0, info=..., albumId=454) at /build/buildd/digikam-4.4.0/core/libs/database/collectionscanner.cpp:1247
#21 0x00007f332019c2bf in Digikam::CollectionScanner::scanAlbum (this=this@entry=0x7f32f1f9dae0, location=..., album=...) at /build/buildd/digikam-4.4.0/core/libs/database/collectionscanner.cpp:1089
#22 0x00007f332019c177 in Digikam::CollectionScanner::scanAlbum (this=this@entry=0x7f32f1f9dae0, location=..., album=...) at /build/buildd/digikam-4.4.0/core/libs/database/collectionscanner.cpp:1112
#23 0x00007f332019cb83 in Digikam::CollectionScanner::scanAlbumRoot (this=this@entry=0x7f32f1f9dae0, location=...) at /build/buildd/digikam-4.4.0/core/libs/database/collectionscanner.cpp:828
#24 0x00007f332019d75d in Digikam::CollectionScanner::completeScan (this=this@entry=0x7f32f1f9dae0) at /build/buildd/digikam-4.4.0/core/libs/database/collectionscanner.cpp:489
#25 0x00000000005f8abf in Digikam::ScanController::run (this=0x2cab310) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:756
#26 0x00007f331cb3832f in QThreadPrivate::start (arg=0x2cab310) at thread/qthread_unix.cpp:349
#27 0x00007f3317b17182 in start_thread (arg=0x7f32f1f9e700) at pthread_create.c:312
#28 0x00007f331bd56fbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f32f179d700 (LWP 22929)):
#0  qt_gettime () at tools/qelapsedtimer_unix.cpp:142
#1  0x00007f331cc68f05 in updateCurrentTime (this=0x7f32e4002f30) at kernel/qeventdispatcher_unix.cpp:354
#2  QTimerInfoList::timerWait (this=0x7f32e4002f30, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#3  0x00007f331cc6767c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f32f179c924) at kernel/qeventdispatcher_glib.cpp:143
#4  0x00007f331cc67725 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:176
#5  0x00007f3313c0b68d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f3313c0bf03 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f3313c0c0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f331cc677be in QEventDispatcherGlib::processEvents (this=0x7f32e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#9  0x00007f331cc390af in QEventLoop::processEvents (this=this@entry=0x7f32f179cae0, flags=...) at kernel/qeventloop.cpp:149
#10 0x00007f331cc393a5 in QEventLoop::exec (this=this@entry=0x7f32f179cae0, flags=...) at kernel/qeventloop.cpp:204
#11 0x00007f331cb35c5f in QThread::exec (this=this@entry=0x2cae210) at thread/qthread.cpp:537
#12 0x00007f331cc1a823 in QInotifyFileSystemWatcherEngine::run (this=0x2cae210) at io/qfilesystemwatcher_inotify.cpp:265
#13 0x00007f331cb3832f in QThreadPrivate::start (arg=0x2cae210) at thread/qthread_unix.cpp:349
#14 0x00007f3317b17182 in start_thread (arg=0x7f32f179d700) at pthread_create.c:312
#15 0x00007f331bd56fbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f33231a0ac0 (LWP 22925)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f331cb38816 in wait (time=18446744073709551615, this=0x2cab440) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2cab3f0, mutex=mutex@entry=0x2cab3c8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f331cb37efe in QThread::wait (this=this@entry=0x2cab310, time=time@entry=18446744073709551615) at thread/qthread_unix.cpp:720
#4  0x00000000005f4399 in Digikam::ScanController::shutDown (this=this@entry=0x2cab310) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:361
#5  0x00000000005f715b in Digikam::ScanController::~ScanController (this=0x2cab310, __in_chrg=<optimized out>) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:337
#6  0x00000000005f72d7 in ~ScanControllerCreator (this=0x2cab310, __in_chrg=<optimized out>) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:277
#7  destroy () at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:284
#8  0x00007f331bc98149 in __run_exit_handlers (status=1, listp=0x7f331c01b6c8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#9  0x00007f331bc98195 in __GI_exit (status=<optimized out>) at exit.c:104
#10 0x00007f33089db224 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#11 0x00007f331e3368d0 in KApplication::xioErrhandler (this=0x7fffa89be9c0, dpy=0x2a17cb0) at ../../kdeui/kernel/kapplication.cpp:419
#12 0x00007f331a24e5ee in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007f331a24bfed in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007f331a23e0db in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007f331d6ce62c in x11EventSourceCheck (s=0x29b5f40) at kernel/qguieventdispatcher_glib.cpp:85
#16 0x00007f3313c0ba61 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f3313c0bf7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f3313c0c0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f331cc677a1 in QEventDispatcherGlib::processEvents (this=0x29b3ca0, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#20 0x00007f331d6cebb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f331cc390af in QEventLoop::processEvents (this=this@entry=0x2c5efe0, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f331cc393a5 in QEventLoop::exec (this=0x2c5efe0, flags=...) at kernel/qeventloop.cpp:204
#23 0x00000000005f47e9 in Digikam::ScanController::completeCollectionScanCore (this=0x2cab310, needTotalFiles=needTotalFiles@entry=true, defer=defer@entry=false) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:486
#24 0x00000000005f48ee in Digikam::ScanController::completeCollectionScanInBackground (this=<optimized out>, defer=defer@entry=false) at /build/buildd/digikam-4.4.0/core/app/database/scancontroller.cpp:471
#25 0x00000000005259f7 in Digikam::NewItemsFinder::slotStart (this=0x3b17220) at /build/buildd/digikam-4.4.0/core/utilities/maintenance/newitemsfinder.cpp:112
#26 0x00007f331cc52c1e in QObject::event (this=0x3b17220, e=<optimized out>) at kernel/qobject.cpp:1194
#27 0x00007f331d62ce2c in QApplicationPrivate::notify_helper (this=this@entry=0x29b5d70, receiver=receiver@entry=0x3b17220, e=e@entry=0x2cabf60) at kernel/qapplication.cpp:4567
#28 0x00007f331d6334a0 in QApplication::notify (this=this@entry=0x7fffa89be9c0, receiver=receiver@entry=0x3b17220, e=e@entry=0x2cabf60) at kernel/qapplication.cpp:4353
#29 0x00007f331e337d1a in KApplication::notify (this=0x7fffa89be9c0, receiver=0x3b17220, event=0x2cabf60) at ../../kdeui/kernel/kapplication.cpp:311
#30 0x00007f331cc3a4dd in QCoreApplication::notifyInternal (this=0x7fffa89be9c0, receiver=receiver@entry=0x3b17220, event=event@entry=0x2cabf60) at kernel/qcoreapplication.cpp:953
#31 0x00007f331cc3db3d in sendEvent (event=0x2cabf60, receiver=0x3b17220) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x28d2b10) at kernel/qcoreapplication.cpp:1577
#33 0x00007f331cc3dfe3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#34 0x00007f331cc67f83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#35 postEventSourceDispatch (s=0x29b0060) at kernel/qeventdispatcher_glib.cpp:287
#36 0x00007f3313c0be04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007f3313c0c048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007f3313c0c0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f331cc677a1 in QEventDispatcherGlib::processEvents (this=0x29b3ca0, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#40 0x00007f331d6cebb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#41 0x00007f331cc390af in QEventLoop::processEvents (this=this@entry=0x7fffa89be4a0, flags=...) at kernel/qeventloop.cpp:149
#42 0x00007f331cc393a5 in QEventLoop::exec (this=this@entry=0x7fffa89be4a0, flags=...) at kernel/qeventloop.cpp:204
#43 0x00007f331cc3eb79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#44 0x00007f331d62b37c in QApplication::exec () at kernel/qapplication.cpp:3828
#45 0x0000000000496f90 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-4.4.0/core/app/main/main.cpp:236

Possible duplicates by query: bug 335225, bug 335224, bug 333332, bug 333327, bug 333253.

Report to https://bugs.kde.org/
Comment 1 caulier.gilles 2014-10-28 14:48:44 UTC
It crash into Exiv2 shared lib about video metadata parser. 

Please report this problem to Exiv2 bugzilla.

http://dev.exiv2.org/projects/exiv2/issues

Gilles Caulier
Comment 2 wybo dekker 2014-10-29 22:45:26 UTC
I finally solved the problem by finding all .avi files which caused exiv2 to crash and converting those to a new .avi file containing no exif information with: 

mencoder input.avi -o output.avi  -ovc lavc -oac copy >& /dev/null
mv -f output.avi input.avi
Comment 3 caulier.gilles 2014-11-19 07:25:07 UTC
*** Bug 341091 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2014-11-26 07:01:39 UTC
*** Bug 341274 has been marked as a duplicate of this bug. ***
Comment 5 caulier.gilles 2014-12-08 21:52:25 UTC
*** Bug 341023 has been marked as a duplicate of this bug. ***
Comment 6 Adrian Dziubek 2014-12-09 09:14:35 UTC
As a workaround you can also set MIME Type Filter to Image Files.
Comment 7 caulier.gilles 2014-12-18 12:46:16 UTC
*** Bug 342000 has been marked as a duplicate of this bug. ***
Comment 8 Andrew M 2014-12-19 11:29:16 UTC
It seems to be fixed with the latest exiv2 svn trunk and will be in version 0.25
exiv2-svn-r3455

http://dev.exiv2.org/issues/1002
Comment 9 caulier.gilles 2014-12-19 17:49:58 UTC
*** Bug 342030 has been marked as a duplicate of this bug. ***
Comment 10 caulier.gilles 2015-01-08 05:38:21 UTC
*** Bug 342604 has been marked as a duplicate of this bug. ***
Comment 11 caulier.gilles 2015-01-09 19:37:20 UTC
*** Bug 342666 has been marked as a duplicate of this bug. ***
Comment 12 Casey Finnerty 2015-01-09 19:49:18 UTC
Does this mean Digikam will not work with (some? all?) video files until exiv2 is updated? I'm running Debian stable, and testing and unstable have exiv2 v. 0.24.
Comment 13 caulier.gilles 2015-01-09 19:53:55 UTC
yes it is. Next Exiv2 stable version including better video support is planed in a near future.

Gilles Caulier
Comment 14 Christoph Feck 2015-01-14 14:28:33 UTC
*** Bug 342622 has been marked as a duplicate of this bug. ***
Comment 15 caulier.gilles 2015-02-02 21:57:01 UTC
*** Bug 343708 has been marked as a duplicate of this bug. ***
Comment 16 caulier.gilles 2015-02-02 22:37:45 UTC
*** Bug 343714 has been marked as a duplicate of this bug. ***
Comment 17 Nico Kruber 2015-02-09 00:53:12 UTC
FYI: I fixed this bug by applying the patch from revision 3264, i.e. http://dev.exiv2.org/projects/exiv2/repository/revisions/3264
The original bug report is at http://dev.exiv2.org/issues/960

Fixed openSUSE binaries can be tested from this repo:
https://build.opensuse.org/package/show/home:NicoK:branches:X11:common:Factory/exiv2
I'll submit the patch to the official (openSUSE) exiv2 package after some testing...
Comment 18 caulier.gilles 2015-02-09 08:48:27 UTC
The question here is to know when next Exiv2 release will be published to include patch officially. It's become urgent to release next Exiv2...

Gilles Caulier
Comment 19 caulier.gilles 2015-04-19 13:18:36 UTC
*** Bug 346356 has been marked as a duplicate of this bug. ***
Comment 20 Tweety 2015-05-09 17:21:30 UTC
Created attachment 92513 [details]
New crash information added by DrKonqi

digikam (4.9.0) on KDE Platform 4.14.7 using Qt 4.8.6

- What I was doing when the application crashed:
Start digikam and wait for picture/album scan  to finish.
Almost at the end 90%-100% digikam crashes. 
I was able to separate one single WAV-file that caused the crash. Here is it's mediainfo maybe that helps:
General
Count                                    : 308
Count of stream of this kind             : 1
Kind of stream                           : General
Kind of stream                           : General
Stream identifier                        : 0
Inform                                   : Wave: 41.6 KiB, 3s 860ms
Count of audio streams                   : 1
Audio_Format_List                        : PCM
Audio_Format_WithHint_List               : PCM
Audio codecs                             : PCM
Complete name                            : /home/tweety/Bilder/Tweety/Musik/stupider.wav
Folder name                              : /home/tweety/Bilder/Tweety/Musik
File name                                : stupider
File extension                           : wav
Format                                   : Wave
Format                                   : Wave
Format/Extensions usually used           : wav
Commercial name                          : Wave
Internet media type                      : audio/vnd.wave
Codec                                    : Wave
Codec                                    : Wave
Codec/Extensions usually used            : wav
File size                                : 42638
File size                                : 41.6 KiB
File size                                : 42 KiB
File size                                : 42 KiB
File size                                : 41.6 KiB
File size                                : 41.64 KiB
Duration                                 : 3860
Duration                                 : 3s 860ms
Duration                                 : 3s 860ms
Duration                                 : 3s 860ms
Duration                                 : 00:00:03.860
Duration                                 : 00:00:03.860
Overall bit rate mode                    : CBR
Overall bit rate mode                    : Constant
Overall bit rate                         : 88369
Overall bit rate                         : 88.4 Kbps
Stream size                              : 74
Stream size                              : 74.0 Bytes (0%)
Stream size                              : 74 Bytes
Stream size                              : 74 Bytes
Stream size                              : 74.0 Bytes
Stream size                              : 74.00 Bytes
Stream size                              : 74.0 Bytes (0%)
Proportion of this stream                : 0.00174
Title                                    : stupider.snd
Track name                               : stupider.snd
File last modification date              : UTC 2002-06-22 11:55:32
File last modification date (local)      : 2002-06-22 13:55:32

Audio
Count                                    : 254
Count of stream of this kind             : 1
Kind of stream                           : Audio
Kind of stream                           : Audio
Stream identifier                        : 0
Inform                                   : 88.2 Kbps, 11.1 KHz, 8 bits, 1 channel, PCM (Little / Unsigned)
Format                                   : PCM
Commercial name                          : PCM
Format settings                          : Little / Unsigned
Format settings, Endianness              : Little
Format settings, Sign                    : Unsigned
Codec ID                                 : 1
Codec ID/Url                             : http://www.microsoft.com/windows/
Codec                                    : PCM
Codec                                    : PCM
Codec/Family                             : PCM
Codec/Info                               : Microsoft PCM
Codec/Url                                : http://www.microsoft.com/windows/
Codec/CC                                 : 1
Codec settings                           : Little / Unsigned
Codec settings, Endianness               : Little
Codec settings, Sign                     : Unsigned
Duration                                 : 3860
Duration                                 : 3s 860ms
Duration                                 : 3s 860ms
Duration                                 : 3s 860ms
Duration                                 : 00:00:03.860
Duration                                 : 00:00:03.860
Bit rate mode                            : CBR
Bit rate mode                            : Constant
Bit rate                                 : 88200
Bit rate                                 : 88.2 Kbps
Channel(s)                               : 1
Channel(s)                               : 1 channel
Sampling rate                            : 11127
Sampling rate                            : 11.1 KHz
Samples count                            : 42950
Resolution                               : 8
Resolution                               : 8 bits
Bit depth                                : 8
Bit depth                                : 8 bits
Stream size                              : 42564
Stream size                              : 41.6 KiB (100%)
Stream size                              : 42 KiB
Stream size                              : 42 KiB
Stream size                              : 41.6 KiB
Stream size                              : 41.57 KiB
Stream size                              : 41.6 KiB (100%)
Proportion of this stream                : 0.99826

-- Backtrace (Reduced):
#9  0x00007f943e362a7c in Exiv2::RiffVideo::infoTagsHandler() () from /usr/lib/libexiv2.so.13
#10 0x00007f943e36af2f in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/libexiv2.so.13
#11 0x00007f943e36b320 in Exiv2::RiffVideo::readMetadata() () from /usr/lib/libexiv2.so.13
#12 0x00007f94457387fd in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.11
#13 0x00007f9443db9256 in Digikam::DMetadata::load(QString const&) const () from /usr/lib/libdigikamcore.so.4.9.0
Comment 21 caulier.gilles 2015-05-10 08:35:21 UTC
*** Bug 343736 has been marked as a duplicate of this bug. ***
Comment 22 RJVB 2015-05-25 17:31:19 UTC
Created attachment 92817 [details]
New crash information added by DrKonqi

digikam (4.10.0) on KDE Platform 4.14.7 using Qt 4.8.7

- What I was doing when the application crashed:

digikam was loading a directory ("album") containing an "offending" QuickTime movie. There is a bug in libexiv2 that causes digikam to crash.
This bug is also apparent on OS X; there the error message is more explicit and suggests that the bug is a double free: "malloc: incorrect checksum for freed object -- object was probably modified after being freed".

-- Backtrace (Reduced):
#6  0x00007f36bd41bcc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f36bd41f0d8 in __GI_abort () at abort.c:89
[...]
#9  0x00007f36bd46466e in malloc_printerr (ptr=<optimized out>, str=0x7f36bd566cc8 "free(): invalid next size (fast)", action=1) at malloc.c:4996
#10 _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3840
#11 0x00007f36bb5bf613 in Exiv2::QuickTimeVideo::userDataDecoder(unsigned long) () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
Comment 23 caulier.gilles 2015-05-25 19:43:52 UTC
Nothing change. It's always a problem in Exiv2 shared lib about video file parsing...

Gilles Caulier
Comment 24 RJVB 2015-05-25 21:10:48 UTC
"Resolved" isn't the proper status, because the bug continues to exist in exiv2 svn/head. I think it's a bug in the handling of QuickTime user data.

Cf. https://trac.macports.org/ticket/47837 which has a link to my upstream bug report, and a patch for exiv2 that causes the user data to be ignore and thus avoids triggering the crash.
Comment 25 caulier.gilles 2015-06-26 16:10:41 UTC
*** Bug 349635 has been marked as a duplicate of this bug. ***
Comment 26 caulier.gilles 2015-08-24 17:01:38 UTC
*** Bug 351689 has been marked as a duplicate of this bug. ***
Comment 27 caulier.gilles 2015-09-20 20:52:35 UTC
*** Bug 352944 has been marked as a duplicate of this bug. ***
Comment 28 caulier.gilles 2015-09-29 04:43:18 UTC
*** Bug 353295 has been marked as a duplicate of this bug. ***
Comment 29 caulier.gilles 2015-10-02 11:41:54 UTC
*** Bug 353447 has been marked as a duplicate of this bug. ***
Comment 30 caulier.gilles 2015-10-02 11:45:15 UTC
Git commit 70eda3c81743379539bf8ba79e822edd1140e55c by Gilles Caulier.
Committed on 02/10/2015 at 11:44.
Pushed by cgilles into branch 'master'.

bump Exiv2 shared lib version to last 0.25.0 due to huge bug report due to video parsing crash with Exiv2 0.24.0

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkexiv2/70eda3c81743379539bf8ba79e822edd1140e55c
Comment 31 caulier.gilles 2015-10-02 18:58:12 UTC
Git commit fc3326bc420b314ae0923a0132e67b327d81869e by Gilles Caulier.
Committed on 02/10/2015 at 18:57.
Pushed by cgilles into branch 'frameworks'.

backport commit #70eda3c81743379539bf8ba79e822edd1140e55c from got/master to frameworks branch

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkexiv2/fc3326bc420b314ae0923a0132e67b327d81869e
Comment 32 caulier.gilles 2015-12-15 04:35:03 UTC
*** Bug 356704 has been marked as a duplicate of this bug. ***
Comment 33 caulier.gilles 2015-12-31 08:36:04 UTC
*** Bug 357356 has been marked as a duplicate of this bug. ***
Comment 34 caulier.gilles 2016-05-04 18:17:49 UTC
*** Bug 362672 has been marked as a duplicate of this bug. ***
Comment 35 caulier.gilles 2016-08-22 20:08:38 UTC
*** Bug 367691 has been marked as a duplicate of this bug. ***
Comment 36 caulier.gilles 2017-11-14 08:10:51 UTC
*** Bug 386891 has been marked as a duplicate of this bug. ***
Comment 37 caulier.gilles 2018-03-04 17:14:39 UTC
With 6.0.0, we have now a FFMpeg low level metadata parser based on libav C API
for video files database registration.

The Exiv2 video support is not used anymore as this code is buggous and nobody
sound motivated in Exiv2 to finalize the code.

The original post for this file must be fixed now and video metadata support
with ffmpeg must be enough to populate database entries.

Gilles Caulier